Name: xbubble
Version: 0.5.10
Release: alt2

Summary: XBubble is a Puzzle Bubble clone game
License: GPL
Group: Games/Arcade
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name.menu
#Source2: %name.png

# Automatically added by buildreq on Mon Oct 20 2003
BuildRequires: XFree86-devel libpng-devel zlib-devel

%description
is a Puzzle Bubble (PB) / Bust-A-Move (BAM) clone for Unix/X11
platforms. It was written from scratch with no real intent to exactly
reproduce the original game.

%prep
%setup -q
%configure

%build
%make

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
#%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc NEWS ChangeLog README TODO AUTHORS NetworkProtocol
%_bindir/%name
%_menudir/%name
%_man6dir/*
%_datadir/%name

%changelog
* Tue Jul 13 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.5.10-alt2
- new menu group Amusement/Arcade

* Fri Nov 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5.10-alt1
- 0.5.10

* Fri Nov 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5.8-alt1
- 0.5.8
- fix a stupid bug leading to segfault introduced in previous version

* Sat Nov 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5.7-alt1
- 0.5.7
- Cache the neighbour of each cell to speed the game even more
- Fixup a small display bug when all single player levels are done
- Do fix the bubble overflow when the board is lowered

* Sat Nov 1 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5.6-alt1
- 0.5.6

* Mon Oct 20 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5.5-alt1
- 0.5.5

* Mon Oct 6 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5.4-alt1
- 0.5.4

* Wed Jul 9 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.3-alt1
- 0.3

* Mon Jun 16 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2.4-alt1
- 0.2.4

* Sun May 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2-alt1
- First version of RPM package.
